Subject: bug#5054: 23.1.50; buffer-menu truncated fields

From: "Drew Adams" <[email-masked]>
Date: Mon, 4 Jan 2010 11:36:25 -0800

> We should also give the header line items the standard button
> appearance so it's easy to see (1) which sorting method is currently
> selected,

Dunno what your "standard button appearance" means here, but see the code in
buff-menu+.el. Users can see not only which column is the sort column, but what
the sorting direction (ascending/descending) is. A simple underline/overline is
used in the column header to indicate the direction.

Wrt resizing by dragging a column divider: there's nothing wrong with that idea.
However, IMO: 

1. Key bindings (e.g. +/-) should also be provided.

2. It is a good idea for such resizing to update the value of option
`Buffer-menu-buffer+size-width'.

3. Besides resizing column widths, it should be easy to remove given columns
from the display. (In buff-menu+, there are toggle commands for this.)

buff-menu+.el is essentially a patch to buff-menu.el. Consequently, any of its
features should be trivial to integrate.